<ion-header no-border>
    <ion-toolbar>
        <ion-buttons slot="start">
          <ion-button color="dark" (click)="cerrarModal()">
            <ion-icon name="arrow-back"></ion-icon>
          </ion-button>
        </ion-buttons>
        <ion-title>{{nombre}}</ion-title>
      </ion-toolbar>
</ion-header>
<ion-content>
    <div class="ideas">    
        <ion-grid>
            <ion-row>
                <ion-col size="12">
                    <img src="{{imagen}}" class="imgIdeaa" alt="">
                </ion-col>
                <ion-col size="3" class="padding-img" style="display: flex;justify-content: center;align-items: center;">
                    <img src="{{imagenUsuario}}" alt=""
                        class="imagenPerfilIdea">
                </ion-col>
                <ion-col size="9">
                    <ion-grid>
                        <ion-row>
                            <ion-col size="12">
                                <ion-text color="dark" class="nombre">
                                    <b>{{nombre}}</b>
                                </ion-text>
                            </ion-col>
                            <ion-col size="12">
                                <ion-text color="secondary" class="fecha">
                                    <b>{{fecha_publicada | date: 'dd/MM/yyyy'}}</b>
                                </ion-text>
                            </ion-col>
                            <ion-col size="12" style="text-overflow: ellipsis;overflow: hidden;white-space: nowrap;">
                                <ion-text text-wrap color="dark" class="descripcion">
                                    {{descripcion}}
                                </ion-text>
                            </ion-col>
                            <ion-col size="12" style="padding: 0px;">
                                <ion-row>
                                    <ion-col size="12">
                                        <ion-text color="dark" class="descripcion">
                                            <b>${{monto_actual}} / ${{monto_objetivo}}</b>
                                        </ion-text>
                                    </ion-col>
                                    <ion-col size="12">
                                        <ion-progress-bar color="primary" value={{porcentajeProgreso}}></ion-progress-bar>
                                    </ion-col>
                                    <ion-col size="12" style="padding-top: 0px; padding-bottom: 0px;">
                                        <ion-text color="dark" class="tiempo">
                                            Queda(n) {{diasFaltantes}} dia(s) para que finalice la idea
                                        </ion-text>
                                    </ion-col>
                                    
                                </ion-row>
                                
                            </ion-col>
                        </ion-row>
                    </ion-grid>
                </ion-col>
                <ion-col size="12" *ngIf="usuarioLogueado != usuarioIdea" style="margin-bottom: 50px;">
                    <ion-item>
                        <ion-label position="floating" class="celeste">Monto a invertir</ion-label>
                        <ion-input type="number" min="1" color="medium" pattern="^[0-9]+" [(ngModel)]="montoAInvertir">
                        </ion-input>
                    </ion-item>
                    <ion-button expand="block" class="invertir" (click)="invertir()">
                        Invertir</ion-button>
                </ion-col>
            </ion-row>
        </ion-grid>
    </div>
</ion-content>
